### Name: xcount
### Title: Makes an Object of Class 'xcount'
### Aliases: xcount plot.xcount print.xcount
### Keywords: manip classes

### ** Examples

### Example 1: simple atrificial data

ss <- data.frame(
cbind(
c("sample1","sample1","sample2","sample2","sample3","sample4"),
c("species1","species1","species1","species2","species3","zero.count"),
c("male","female","male","female","male","male")
),
c(1, 2, 10, 3, 4, 1)
)
colnames(ss) <- c("sample.id", "species.id", "gender", "catch")

xc1 <- xcount(sscount(ss, zc="zero"))
xc1

xc2 <- xcount(sscount(ss, zc="zero.count"))
xc2

xc3 <- xcount(sscount(ss, zc="zero.count"), 0)
xc3

xc4 <- xcount(sscount(ss, zc="zero.count"), 1)
xc4

### Example 2: field data of the dolina

## Not run: 
##D data(dol.count, dol.sample, landsnail)
##D 
##D dssc <- sscount(dol.count, zc="zero.count", fill=TRUE)
##D dssc
##D 
##D (xc <- xcount(dssc))
##D plot(xc, type="hist")
##D plot(xc, type="rank", logscale = TRUE)
##D plot(xc, type="biplot")
##D 
##D xcount(dssc, "broken")
##D xcount(dssc, c("adult", "juvenile"))
##D xcount(dssc, c(1,4), "mixed")
##D xcount(dssc, c(1:3))
## End(Not run)



